<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: testCompressParms.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>testCompressParms.c File Reference</h1><code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>
<code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &lt;string.h&gt;</code><br/>

<p><a href="testCompressParms_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a5bac03f035357aca807646cff28cdc4e">dbg</a>&nbsp;&nbsp;&nbsp;1</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="testCompressParms_8c.html">testCompressParms.c</a>,v 1.4 2006/09/18 03:09:03 meister Exp </dd></dl>
 <a href="#a5bac03f035357aca807646cff28cdc4e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a8c3f19654117e3b2c6ff5304d86f660d">TEST</a>(a)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a508eb31b6faa4939e1c32adaef41b8c8">maxRays</a>&nbsp;&nbsp;&nbsp;200</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a3c04138a5bfe5d72780bb7e82a18e627">main</a> (int argc, char **argv)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a22b21b8ecf472b992a0ab44a58c9a231">test_Constraints_Remove_parm_eqs</a> (<a class="el" href="structmatrix.html">Matrix</a> *A, <a class="el" href="structmatrix.html">Matrix</a> *B)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">extracts the equalities involving the parameters only, try to introduce them back and compare the two polyhedra.  <a href="#a22b21b8ecf472b992a0ab44a58c9a231"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a9f6efefce285d8dcb806a7baabba1d5d">test_Polyhedron_Remove_parm_eqs</a> (<a class="el" href="structmatrix.html">Matrix</a> *A, <a class="el" href="structmatrix.html">Matrix</a> *B)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">extracts the equalities holding on the parameters only, try to introduce them back and compare the two polyhedra.  <a href="#a9f6efefce285d8dcb806a7baabba1d5d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#afb08ff56d9ba869c706006d6b5c941ee">valuesWithoutElim</a> (<a class="el" href="structmatrix.html">Matrix</a> *origParms, unsigned int *elimParms, <a class="el" href="structmatrix.html">Matrix</a> **newParms)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Eliminates certain parameters from a vector of values for parameters.  <a href="#afb08ff56d9ba869c706006d6b5c941ee"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a79ed5185c3a1604ee7b0c7e7e6071992">namesWithoutElim</a> (const char **parms, unsigned nbParms, unsigned int *elimParms, const char ***newParms)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">takes a list of parameter names, a list ofparameters to eliminate, and returns the list of parameters without the eliminated ones.  <a href="#a79ed5185c3a1604ee7b0c7e7e6071992"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a0ff3dbf2dc32c224644d0fb139dbcbb8">test_Constraints_fullDimensionize</a> (<a class="el" href="structmatrix.html">Matrix</a> *A, <a class="el" href="structmatrix.html">Matrix</a> *B, unsigned int nbSamples)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tests Constraints_fullDimensionize by comparing the <a class="el" href="classEhrhart.html">Ehrhart</a> polynomials.  <a href="#a0ff3dbf2dc32c224644d0fb139dbcbb8"></a><br/></td></tr>
<tr><td colspan="2"><h2>Variables</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const char *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="testCompressParms_8c.html#a9c1dc820fe3bdbb2b3657bd03338fc91">origNames</a> []</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a5bac03f035357aca807646cff28cdc4e"></a><!-- doxytag: member="testCompressParms.c::dbg" ref="a5bac03f035357aca807646cff28cdc4e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define dbg&nbsp;&nbsp;&nbsp;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><dl class="rcs"><dt><b>Id</b></dt><dd><a class="el" href="testCompressParms_8c.html">testCompressParms.c</a>,v 1.4 2006/09/18 03:09:03 meister Exp </dd></dl>
</p>
<p>Test routines for <a class="el" href="compress__parms_8c.html">kernel/compress_parms.c</a> functions </p>
<dl class="author"><dt><b>Author:</b></dt><dd>B. Meister, 3/2006 </dd></dl>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00034">34</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00234">namesWithoutElim()</a>, and <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
<a class="anchor" id="a508eb31b6faa4939e1c32adaef41b8c8"></a><!-- doxytag: member="testCompressParms.c::maxRays" ref="a508eb31b6faa4939e1c32adaef41b8c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define maxRays&nbsp;&nbsp;&nbsp;200</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00043">43</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>, <a class="el" href="testCompressParms_8c_source.html#l00071">test_Constraints_Remove_parm_eqs()</a>, and <a class="el" href="testCompressParms_8c_source.html#l00139">test_Polyhedron_Remove_parm_eqs()</a>.</p>

</div>
</div>
<a class="anchor" id="a8c3f19654117e3b2c6ff5304d86f660d"></a><!-- doxytag: member="testCompressParms.c::TEST" ref="a8c3f19654117e3b2c6ff5304d86f660d" args="(a)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define TEST</td>
          <td>(</td>
          <td class="paramtype">a&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<b>Value:</b><div class="fragment"><pre class="fragment"><span class="keywordflow">if</span> (isOk = a) { \
                  printf(#a<span class="stringliteral">&quot; tested ok.\n&quot;</span>); \
                } \
                <span class="keywordflow">else</span> { \
                  printf(#a<span class="stringliteral">&quot; NOT OK\n&quot;</span>); \
                }
</pre></div>
<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00036">36</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00048">main()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a3c04138a5bfe5d72780bb7e82a18e627"></a><!-- doxytag: member="testCompressParms.c::main" ref="a3c04138a5bfe5d72780bb7e82a18e627" args="(int argc, char **argv)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>argc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char **&nbsp;</td>
          <td class="paramname"> <em>argv</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00048">48</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00203">Matrix_Read()</a>, <a class="el" href="testCompressParms_8c_source.html#l00036">TEST</a>, <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>, <a class="el" href="testCompressParms_8c_source.html#l00071">test_Constraints_Remove_parm_eqs()</a>, and <a class="el" href="testCompressParms_8c_source.html#l00139">test_Polyhedron_Remove_parm_eqs()</a>.</p>

</div>
</div>
<a class="anchor" id="a79ed5185c3a1604ee7b0c7e7e6071992"></a><!-- doxytag: member="testCompressParms.c::namesWithoutElim" ref="a79ed5185c3a1604ee7b0c7e7e6071992" args="(const char **parms, unsigned nbParms, unsigned int *elimParms, const char ***newParms)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int namesWithoutElim </td>
          <td>(</td>
          <td class="paramtype">const char **&nbsp;</td>
          <td class="paramname"> <em>parms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned&nbsp;</td>
          <td class="paramname"> <em>nbParms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&nbsp;</td>
          <td class="paramname"> <em>elimParms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char ***&nbsp;</td>
          <td class="paramname"> <em>newParms</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>takes a list of parameter names, a list ofparameters to eliminate, and returns the list of parameters without the eliminated ones. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>parms</em>&nbsp;</td><td>the original parameter names </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>nbParms</em>&nbsp;</td><td>the number of original parmaeters </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>elimParms</em>&nbsp;</td><td>the array-list of indices of parameters to eliminate (first element set to the number of its elements) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newParms</em>&nbsp;</td><td>the returned list of parm names. Allocated if set to NULL, reused if not. </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>the number of names in the returned list. </dd></dl>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00234">234</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="testCompressParms_8c_source.html#l00034">dbg</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
<a class="anchor" id="a0ff3dbf2dc32c224644d0fb139dbcbb8"></a><!-- doxytag: member="testCompressParms.c::test_Constraints_fullDimensionize" ref="a0ff3dbf2dc32c224644d0fb139dbcbb8" args="(Matrix *A, Matrix *B, unsigned int nbSamples)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int test_Constraints_fullDimensionize </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&nbsp;</td>
          <td class="paramname"> <em>nbSamples</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests Constraints_fullDimensionize by comparing the <a class="el" href="classEhrhart.html">Ehrhart</a> polynomials. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>A</em>&nbsp;</td><td>the input set of constraints </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>B</em>&nbsp;</td><td>the corresponding context </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>the</em>&nbsp;</td><td>number of samples to generate for the test </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>1 if the <a class="el" href="classEhrhart.html">Ehrhart</a> polynomial had the same value for the full-dimensional and non-full-dimensional sets of constraints, for their corresponding sample parameters values. </dd></dl>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00273">273</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="eval__ehrhart_8c_source.html#l00158">compute_poly()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="compress__parms_8c_source.html#l00386">Constraints_fullDimensionize()</a>, <a class="el" href="testCompressParms_8c_source.html#l00034">dbg</a>, <a class="el" href="ehrhart_8c_source.html#l02220">Enumeration_Free()</a>, <a class="el" href="ehrhart_8c_source.html#l02732">Enumeration_zero()</a>, <a class="el" href="types_8h_source.html#l00207">_enumeration::EP</a>, <a class="el" href="vector_8c_source.html#l00384">Inner_Product()</a>, <a class="el" href="compress__parms_8c_source.html#l00499">Lattice_extractSubLattice()</a>, <a class="el" href="matrix_8c_source.html#l00591">MatInverse()</a>, <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="testCompressParms_8c_source.html#l00043">maxRays</a>, <a class="el" href="testCompressParms_8c_source.html#l00234">namesWithoutElim()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbRows</a>, <a class="el" href="testCompressParms_8c_source.html#l00045">origNames</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, <a class="el" href="ehrhart_8c_source.html#l01860">Polyhedron_Enumerate()</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="ehrhart_8c_source.html#l00192">print_evalue()</a>, <a class="el" href="matrix__addon_8h_source.html#l00032">show_matrix</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00514">value_addto</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00462">value_clear</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00477">value_eq</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00458">value_init</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00526">value_pdivision</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00464">value_print</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00460">value_set_si</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00520">value_subtract</a>, <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00553">value_zero_p</a>, and <a class="el" href="testCompressParms_8c_source.html#l00201">valuesWithoutElim()</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00048">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a22b21b8ecf472b992a0ab44a58c9a231"></a><!-- doxytag: member="testCompressParms.c::test_Constraints_Remove_parm_eqs" ref="a22b21b8ecf472b992a0ab44a58c9a231" args="(Matrix *A, Matrix *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int test_Constraints_Remove_parm_eqs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>extracts the equalities involving the parameters only, try to introduce them back and compare the two polyhedra. </p>
<p>Reads a <a class="el" href="structpolyhedron.html">polyhedron</a> and a context. </p>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00071">71</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="compress__parms_8c_source.html#l00649">Constraints_Remove_parm_eqs()</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="testCompressParms_8c_source.html#l00043">maxRays</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>, and <a class="el" href="matrix__addon_8h_source.html#l00032">show_matrix</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00048">main()</a>.</p>

</div>
</div>
<a class="anchor" id="a9f6efefce285d8dcb806a7baabba1d5d"></a><!-- doxytag: member="testCompressParms.c::test_Polyhedron_Remove_parm_eqs" ref="a9f6efefce285d8dcb806a7baabba1d5d" args="(Matrix *A, Matrix *B)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int test_Polyhedron_Remove_parm_eqs </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>A</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>B</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>extracts the equalities holding on the parameters only, try to introduce them back and compare the two polyhedra. </p>
<p>Reads a <a class="el" href="structpolyhedron.html">polyhedron</a> and a context. </p>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00139">139</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="polyhedron_8c_source.html#l03665">align_context()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="types_8h_source.html#l00110">polyhedron::Dimension</a>, <a class="el" href="polyhedron_8c_source.html#l02607">DomainIntersection()</a>, <a class="el" href="Matop_8c_source.html#l00118">Matrix_Copy()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="testCompressParms_8c_source.html#l00043">maxRays</a>, <a class="el" href="polyhedron_8c_source.html#l01603">Polyhedron_Free()</a>, <a class="el" href="compress__parms_8c_source.html#l00856">Polyhedron_Remove_parm_eqs()</a>, and <a class="el" href="polyhedron_8c_source.html#l02388">PolyhedronIncludes()</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00048">main()</a>.</p>

</div>
</div>
<a class="anchor" id="afb08ff56d9ba869c706006d6b5c941ee"></a><!-- doxytag: member="testCompressParms.c::valuesWithoutElim" ref="afb08ff56d9ba869c706006d6b5c941ee" args="(Matrix *origParms, unsigned int *elimParms, Matrix **newParms)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void valuesWithoutElim </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> *&nbsp;</td>
          <td class="paramname"> <em>origParms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int *&nbsp;</td>
          <td class="paramname"> <em>elimParms</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structmatrix.html">Matrix</a> **&nbsp;</td>
          <td class="paramname"> <em>newParms</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Eliminates certain parameters from a vector of values for parameters. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>origParms</em>&nbsp;</td><td>the initial vector of values of parameters </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>elimParms</em>&nbsp;</td><td>the list of parameters to be eliminated in the vector </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>newParms</em>&nbsp;</td><td>the vector of values without the eliminated ones. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00201">201</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>References <a class="el" href="matrix_8c_source.html#l00045">Matrix_Alloc()</a>, <a class="el" href="types_8h_source.html#l00092">matrix::NbColumns</a>, <a class="el" href="types_8h_source.html#l00093">matrix::p</a>, and <a class="el" href="source_2arith_2arithmetique_8h_source.html#l00459">value_assign</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
<hr/><h2>Variable Documentation</h2>
<a class="anchor" id="a9c1dc820fe3bdbb2b3657bd03338fc91"></a><!-- doxytag: member="testCompressParms.c::origNames" ref="a9c1dc820fe3bdbb2b3657bd03338fc91" args="[]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const char* <a class="el" href="testCompressParms_8c.html#a9c1dc820fe3bdbb2b3657bd03338fc91">origNames</a>[]</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<b>Initial value:</b><div class="fragment"><pre class="fragment">
        {<span class="stringliteral">&quot;n&quot;</span>, <span class="stringliteral">&quot;o&quot;</span>, <span class="stringliteral">&quot;p&quot;</span>, <span class="stringliteral">&quot;q&quot;</span>, <span class="stringliteral">&quot;r&quot;</span>, <span class="stringliteral">&quot;s&quot;</span>, <span class="stringliteral">&quot;t&quot;</span>, <span class="stringliteral">&quot;u&quot;</span>, <span class="stringliteral">&quot;v&quot;</span>, <span class="stringliteral">&quot;w&quot;</span>, <span class="stringliteral">&quot;x&quot;</span>, <span class="stringliteral">&quot;y&quot;</span>, <span class="stringliteral">&quot;z&quot;</span>}
</pre></div>
<p>Definition at line <a class="el" href="testCompressParms_8c_source.html#l00045">45</a> of file <a class="el" href="testCompressParms_8c_source.html">testCompressParms.c</a>.</p>

<p>Referenced by <a class="el" href="testCompressParms_8c_source.html#l00273">test_Constraints_fullDimensionize()</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:27 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
